---
title: "Search for course assignments"
slug: "search-for-course-assignments"
updated: 2024-10-25T18:04:27Z
published: 2026-02-10T22:32:35Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://docs.skillable.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search for course assignments

Get/SearchCourseAssignments

Allows you to search for course assignments.

SecurityAPI Key: api_keyHeader parameter nameapi_key

Query parameterspageIndexinteger (int32) 

A 0-based index of the paged results you wish to receive. In general, you should start with a value of zero and increment it as you need to retrieve additional results. If not supplied, a value of 0 is used (the first page of results).

pageSizeinteger (int32) 

Indicates how many results you want per page. if not supplied, a default value of 100 is used.

sortstring

The value you want to sort by

userIdinteger (int32) 

An optional parameter used to filter for course assignments for a particular user

userExternalIdstring

An optional parameter used to filter for course assignments for a particular user using an external identifier

courseIdinteger (int32) 

An optional parameter used to filter for course assignments for a particular course

Example10
completionStatusinteger (int32) 

An optional parameter used to filter for course assignments with a particular completion status. Possible values:

- 0 = Not Started
- 10 = Incomplete
- 20 = Not Started or Incomplete
- 30 = Complete

Example10
createdAfterinteger (int64) 

An optional parameter used to filter for course assignments created after a specified date. When used in conjunction with the "createdBefore" parameter, it becomes possible to filter for a given time range. This should be provided in unix epoch format, which is the number of seconds that have elapsed since midnight UTC January 1st, 1970.

Example1318025880
createdBeforeinteger (int64) 

An optional parameter used to filter for course assignments created before a specified date. When used in conjunction with the "createdAfter" parameter, it becomes possible to filter for a given time range. This should be provided in unix epoch format, which is the number of seconds that have elapsed since midnight UTC January 1st, 1970.

Example1318025880
expiresAfterinteger (int64) 

An optional parameter used to filter for course assignments that expire after a specified date. When used in conjunction with the "expiresBefore" parameter, it becomes possible to filter for a given time range. This should be provided in unix epoch format, which is the number of seconds that have elapsed since midnight UTC January 1st, 1970.

Example1318025880
expiresBeforeinteger (int64) 

An optional parameter used to filter for course assignments that expire before a specified date. When used in conjunction with the "expiresAfter" parameter, it becomes possible to filter for a given time range. This should be provided in unix epoch format, which is the number of seconds that have elapsed since midnight UTC January 1st, 1970.

Example1318025880
startedAfterinteger (int64) 

An optional parameter used to filter for course assignments started after a specified date. When used in conjunction with the "startedBefore" parameter, it becomes possible to filter for a given time range. This should be provided in unix epoch format, which is the number of seconds that have elapsed since midnight UTC January 1st, 1970.

Example1318025880
startedBeforeinteger (int64) 

An optional parameter used to filter for course assignments started before a specified date. When used in conjunction with the "startedAfter" parameter, it becomes possible to filter for a given time range. This should be provided in unix epoch format, which is the number of seconds that have elapsed since midnight UTC January 1st, 1970.

Example1318025880
completedAfterinteger (int64) 

An optional parameter used to filter for course assignments completed after a specified date. When used in conjunction with the "completedBefore" parameter, it becomes possible to filter for a given time range. This should be provided in unix epoch format, which is the number of seconds that have elapsed since midnight UTC January 1st, 1970.

Example1318025880
completedBeforeinteger (int64) 

An optional parameter used to filter for course assignments completed before a specified date. When used in conjunction with the "completedAfter" parameter, it becomes possible to filter for a given time range. This should be provided in unix epoch format, which is the number of seconds that have elapsed since midnight UTC January 1st, 1970.

Example1318025880

Responses200

OK Response

<select class='api-response-data' aria-label='Media type'><option value='d2665d4f-eb11-42f9-9011-101ef2944483'>application/json</option>
</select>Expand Allobject  Statusinteger  (int32)    

Indicates the status of the API request.

0 = Success 10 = Error 20 = Not found 30 = Invalid integration key

Example10
Errorstring   | null  

Error details. This will only have a value if an error was encountered. The status property will also be set to Error (10).

TotalCountinteger  (int32)    

The total number of results that match the search conditions, not all of which may be in the current result set.

Example1
TotalPagesinteger  (int32)    

The total number of result pages that match the search conditions.

Example1
Results Array of object (CourseAssignmentSearchResult)   

See CourseAssignmentSearchResult

object  Idinteger  (int32)    

The course assignment's unique identifier

Example12345
ExternalIdstring   | null  

The course assignment's external ID, usually a unique identifier from the calling system

ExampleFC8D0166
CourseIdinteger  (int32)    

The course's unique identifier

Example1234
CourseNamestring    

The name of the course

ExampleCourse name sample
UserIdinteger  (int32)    

The user's unique identifier

Example190615
UserExternalIdstring   | null  

The user's external ID, usually a unique identifier from the calling system

Example89CFAB18-443D-495C-89B0-95A85E0A00BA
FirstNamestring    

The user's first name

ExampleSally
LastNamestring    

The user's last name

ExampleDoe
Emailstring    

The user's e-mail address

Examplesally.doe@sample.net
OrganizationIdinteger  (int32)    

The unique identifier of the organization the user belongs to

Example2471
PaymentTypestring    

What type of key was used to get access to the course

ExampleSubscription (Microsoft Total Access Collection)
Createdinteger  (int64)    

When the course assignment was created. Provided in Unix epoch format, which is the number of seconds that have elapsed since midnight UTC January 1st, 1970.

Example1295375536
Expiresinteger  (int64)   | null  

When the course assignment expires. Provided in Unix epoch format, which is the number of seconds that have elapsed since midnight UTC January 1st, 1970.

Example1310947200
Startedinteger  (int64)   | null  

When the course assignment was started by the user. Provided in Unix epoch format, which is the number of seconds that have elapsed since midnight UTC January 1st, 1970.

Example1295378841
Completedinteger  (int64)   | null  

When the course assignment was completed by the user. Provided in Unix epoch format, which is the number of seconds that have elapsed since midnight UTC January 1st, 1970.

Example1295386048
